List Unmatched
GET
/matching/unmatched
const url = 'https://example.com/matching/unmatched?direction=expected';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/matching/unmatched?direction=expected'Both directions with aging: expected-but-missing (late bills) and posted-but-unexpected (new-spend triage).
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”direction
Direction
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Response List Unmatched Matching Unmatched Get
Array<object>
UnmatchedOutobject
aging_days
required
Aging Days
integer
date
required
Date
string format: date
has_proposed_match
required
Has Proposed Match
boolean
transaction_id
required
Transaction Id
string format: uuid
Example generated
[ { "aging_days": 1, "amount": "example", "date": "2026-04-15", "description": "example", "has_proposed_match": true, "payee": "example", "proposal_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "proposed_posted_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "transaction_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }]Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}